MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025204Open CASCADE[OCCT] OCCT:Visualizationpublic2014-09-01 14:192014-11-11 12:58
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025204: Visualization, PrsMgr_PresentationManager::Presentation() - do not return last presentation when requested one is not found
DescriptionCurrent implementation of method PrsMgr_PresentationManager::Presentation() returns "last" presentation, even if specified mode have not been found.
   // To be changed within dedicated patch
   ///return Handle(PrsMgr_Presentation)();
   return aPrsList.Last().Presentation();

It is suggested to change behavior and return NULL presentation in this case.

Note that this modification eventually would allow to skip extra iteration within ::HasPresentation() method when retrieving presentation - it will sufficient just to check result of ::Presentation() for NULL.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024837closedbugmaster Open CASCADE Visualization - revise design and implementation of connected Interactive Objects 

-  Notes
(0031537)
git (administrator)
2014-09-10 08:57

Branch CR25204 has been created by kgv.

SHA-1: 86fba1e636e10a9f7b2687e914e3c8acc15d7d04


Detailed log of new commits:

Author: kgv
Date: Wed Sep 10 08:57:30 2014 +0400

    0025204: Visualization, PrsMgr_PresentationManager::Presentation() - do not return last presentation when requested one is not found
(0031538)
kgv (developer)
2014-09-10 08:58

Please test patch in branch CR25204.
(0031593)
git (administrator)
2014-09-10 17:14

Branch CR25204 has been updated forcibly by mkv.

SHA-1: 222a3d0630f0d357b137ca86e9d30301a5a2c8d4
(0031731)
mkv (tester)
2014-09-15 19:53

Dear BugMaster,
Branch CR25204 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 222a3d0630f0d357b137ca86e9d30301a5a2c8d4

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 355083304 / 355199032
Total CPU difference: 48350.99000000003 / 45791.3500000001
products component :
Total MEMORY difference: 109684672 / 109576272
Total CPU difference: 18236.529999999966 / 18117.239999999958

Testing on Windows:
occt component :
Total MEMORY difference: 241797300 / 241837776
Total CPU difference: 33176.828125 / 36476.171875
products component :
Total MEMORY difference: 66662516 / 66486588
Total CPU difference: 11332.625 / 12374.765625

There are no differences in images found by testdiff.
(0031743)
mkv (tester)
2014-09-16 12:12

Dear BugMaster,
Branch CR25204 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Debug mode.
SHA-1: 222a3d0630f0d357b137ca86e9d30301a5a2c8d4

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 425636216 / 425809128
Total CPU difference: 150236.7499999991 / 156885.96999999927
products component :
Total MEMORY difference: 121275276 / 121261804
Total CPU difference: 35222.40000000004 / 33569.13

Testing on Windows:
occt component :
Total MEMORY difference: 334138408 / 333767060
Total CPU difference: 105851.25 / 105149.5
products component :
Total MEMORY difference: 88340448 / 88286632
Total CPU difference: 27520.984375 / 24549.265625

There are no differences in images found by testdiff.
(0032342)
git (administrator)
2014-09-29 23:11

Branch CR25204 has been deleted by kgv.

SHA-1: 222a3d0630f0d357b137ca86e9d30301a5a2c8d4

- Related Changesets
occt: master 0179bbc6
Timestamp: 2014-09-10 04:57:30
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025204: Visualization, PrsMgr_PresentationManager::Presentation() - do not return last presentation when requested one is not found
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-01 14:19 kgv New Issue
2014-09-01 14:19 kgv Assigned To => kgv
2014-09-01 14:19 kgv Relationship added related to 0024837
2014-09-01 14:20 kgv Description Updated View Revisions
2014-09-01 14:22 kgv Relationship added related to 0024637
2014-09-01 14:28 kgv Description Updated View Revisions
2014-09-10 08:57 git Note Added: 0031537
2014-09-10 08:58 kgv Note Added: 0031538
2014-09-10 08:58 kgv Assigned To kgv => bugmaster
2014-09-10 08:58 kgv Status new => resolved
2014-09-10 08:58 kgv Summary Visualization, PrsMgr_PresentationManager::Presentation() - do not return last presentation by default => Visualization, PrsMgr_PresentationManager::Presentation() - do not return last presentation when requested one is not found
2014-09-10 08:58 kgv Status resolved => reviewed
2014-09-10 10:47 bugmaster Assigned To bugmaster => mkv
2014-09-10 17:14 git Note Added: 0031593
2014-09-15 19:53 mkv Note Added: 0031731
2014-09-16 12:12 mkv Note Added: 0031743
2014-09-16 12:12 mkv Test case number => Not needed
2014-09-16 12:12 mkv Assigned To mkv => bugmaster
2014-09-16 12:12 mkv Status reviewed => tested
2014-09-19 13:42 bugmaster Changeset attached => occt master 0179bbc6
2014-09-19 13:42 bugmaster Status tested => verified
2014-09-19 13:42 bugmaster Resolution open => fixed
2014-09-29 23:11 git Note Added: 0032342
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker